2009-01-06  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/Application.cs (TrayIconButtonPressCb): Hide the window
	if clicked when the window has the focus.

2008-10-12  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelCollection.cs (MarkItemIdAsReadInAllChannels): Also
	check in the groups.

2008-09-27  Robert-André Mauchin  <zebob.m@pengzone.org>

	* src/blam.glade: Removable translatable state for gtk-ok and
	gtk-cancel.

2008-09-18  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelCollection.cs: Remove channels, groups or
	channels within groups, depending on what is needed.

2008-09-16  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/Channel.cs, src/ChannelGroup.cs, src/ChannelList.cs
	src/Dialogs.cs: Make adding channels to groups a bit more
	correct by storing the iter in each object.

2008-09-15  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelList.cs: Use Glib.Object.Data instead of
	Gtk.UserData to store the group name.
	* src/blam.glade, src/Dialogs.cs, src/Application.cs: Implement
	adding a group via a dialog.

2008-09-14  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelCollection.cs: Update channels inside groups when
	auto-updating.
	* src/Application.cs: ChannelGroup doesn't have an edit dialog
	yet. Expose Application.channelList via Application.ChannelList.
	* src/ChannelList.cs: Implement adding a channel to a group.

2008-04-26 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ItemView.cs, src/Utils.cs, libblam/blam-utils.c: Set the
	ItemView's sort function completely in managed code.
	* src/ChannelList.cs, src/Utils.cs: Sort the channel list in
	managed code. This removes the last use of libblam/blam-utils.c.
	* libblam/blam-utils.{h,c}: Remove. No longer used.
	* libblam/Makefile.am: Reflect above change.
	* configure.in: We no longer need GTK+ dev package.

2008-04-25 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/Application.cs, src/blam.glade, src/PreferencesDialog.cs:
	Add option to refresh feeds on startup (#344853)
	*src/Application.cs, src/blam.glade: Add option to mark all
	posts as read. (#400327)

2008-04-16 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelList.cs: Use a TreeCellDataFunc to automatically set
	the channel name and weight.

2008-04-14 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/ChannelList.cs: Resize the name column when a name changes.
	* libblam/blam-utils.c, src/ItemList.cs, src/Utils.cs: Remove manual
	ellipsizing and let pango do it for us.

2008-04-06 Carlos Martín Nieto  <carlos@cmartin.tk>

	* lib/RSSFeed.cs: Accept a StringReader instead of an uri.
	* src/Feedupdater.cs, src/Item.cs, src/Channel.cs,
	src/Makefile: Adapt to use RSSFeed instead of RSS.NET, adding
	a few security checks.
	* README: Delete the remaining RSS.NET and Atom.NET references.
	* src/Application.cs: Implement viewing/hiding the item list based
	on a patch by Johan Wallenborg <johan at deepfolks dot com>

2008-04-05 Carlos Martín Nieto  <carlos@cmartin.tk>

	* lib/RSSFeed.cs: Add.
	* lib/Makefile.am: Add the RSSFeed library.

2008-03-21 Carlos Martín Nieto <carlos@cmartin.tk>

	* configure.in: Bump version to 1.8.5 for release.

2008-02-18  Kjartan Maraas  <kmaraas@gnome.org>

	* src/blam.glade: Don't translate widget labels 

2008-01-09  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug 504710

	* src/Dialogs.cs: Remove some debug output.

2008-01-09  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug 504709

	* src/Application.cs:
	* src/ChannelDialog.cs:
	* src/Dialogs.cs:
	* src/Opml.cs:
	* src/PreferencesDialog.cs:
	* src/TrayIcon.cs: Use the correct icon size for window- and tray 
	icons. Also adds a window icon to the export dialog.

2007-12-20 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/blam.glade: rename Settings to Preferences (patch by Michael
	Monreal <michael.monreal@gmx.net>).

2007-12-20 Carlos Martín Nieto  <carlos@cmartin.tk>

	* This entry is based on the patch by Chris Turchin
	<chris@turchin.net>
	* src/ItemList.cs: Mark entries read after timeout.
	* src/PreferencesDialog.cs, src/blam.glade: Add option to mark entries
	read after a timeout.

2007-12-16 Carlos Martín Nieto  <carlos@cmartin.tk>
	* src/DBus.cs: Unregister in the destructor, reorder so as not to
	crash when unregistering.
	* src/Dialogs.cs: Simplify AboutDialog.
	* src/Dialogs.cs: Check if the clipboard text is a valid URL before
	passing it the URL entry in AddChannelDialog. (Bug #169014).
	* src/Application.cs: Use new AboutDialog method.
	* src/ChannelCollection.cs: Save the channel list when adding and
	removing channels.
	* src/Application.cs: Minimize to systray when Esc or the X
	in the window is pressed (Bug #321339 in part).
	* src/Applicaton.cs: Always show tray icon when the window is hidden.

2007-12-16 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/egg-sharp.cs: Delete.
	* src/TrayIcon.cs: Use Gtk.StatusIcon instead of libegg.
	* src/Application.cs: Migrate to new TrayIcon.
	* src/Makefile.am: Don't use libegg anymore.

2007-12-15 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/DBusFeedReader.cs: Deleted.
	* src/DBus.cs: Added. Uses dbus-sharp instead of bindings.
	* src/Application.cs: Changed to use the new DBus interface.
	* src/configure.in: Search for ndesk-dbus.

2007-12-09 Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/blam.glade: Remove an extra about window.

2007-10-14  Yannig Marchegay  <yannig@marchegay.org>

	* configure.in: Added 'oc' to ALL_LINGUAS.

2007-09-23  Carlos Martín Nieto  <carlos@cmartin.tk>

	* lib/Atom.NET.dll: Remove, we now use AtomFeed.
	* Makefilel.am: Make sure we build lib/ before src/
	* lib/AtomFeed.cs: Add functionality for use with Blam.
	* src/Channel.cs, src/Item.cs, src/Makefile.am: Use AtomFeed.
	* general: Use the new icons.
	* src/blam.glade, src/Dialogs.cs, src/Application.cs: Use a new
	standard about dialog.

2007-09-22  Carlos Martín Nieto  <carlos@cmartin.tk>

	* lib/AtomFeed.cs: Initial import of this library.
	* lib/Makefile.am: Change in order to build and distribute
	 the AtomFeed.dll library.
	* src/Makefile.am (FLAGS): use /debug instead of -debug

2007-09-20  Carlos Martín Nieto  <carlos@cmartin.tk>

	* src/Theme.cs::Theme.Render(): make it more flexible, making it
	accept keyword-value pairs.
	* src/Item.cs: Delete a couple of debug statements that shouldn't
	be there.
	* icons/: Include the new Tango artwork by Andreas Nilsson.

2007-09-12 Carlos Martín Nieto <carlos@cmartin.tk>

	* MAINTAINERS: Change to the new format with user id.

2007-04-14  Carlos Martín Nieto <carlos@cmartin.tk>

	* src/FeedUpdater.cs: Fix remote feed support. This was broken by
	me when adding local feed support. (Bug #426591)

2007-03-24  Carlos Martín Nieto <carlos@cmartin.tk>

    * src/FeedUpdater.cs: Support feeds in the local filesystem.
    * themes/blam/, themes/pimped/: Fix the breackage produced by me
      changing the base url of the html files. The images are no longer
      requested to the remote server.
     * themes/*/Makefile.am: Add the theme files to EXTRA_DIST so they
       get packaged by `make dist`.
     * configure.in: Added 'ar' to ALL_LINGUAS.

2007-02-24  Matic Zgur  <mr.zgur@gmail.com>

	* configure.in: Added 'sl' to ALL_LINGUAS.

2007-01-24  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.in: Added 'dz' to ALL_LINGUAS.

2007-01-18  Carlos Martín Nieto  <carlos@cmartin.tk>

	* general: Update to the externally developed 1.8.4 version.

2006-11-04  Carlos Martín Nieto <carlos@cmartin.tk>

	* configure.in, Makefile.am: Use gmcs if available, check for
	pkg-config only once, use mono 1.1.17, add xulrunner and seamonkey.
	* src/ThemeManager.cs: Added PathByName(), load the personal
	themes before the program-provided ones.
	* MAINTAINERS, AUTHORS, CONTRIBUTORS: Put me as maintainer.
	* PreferencesDialog.cs: Enable the selection of themes.
	* general: fix some warnings, set more specific watches for GConf
	so we don't call every callback when any configuration changes.
	* Atom.NET.dll: new version.
	* RSS.NET.dll: new version, support for redirection.
	
2006-10-04  Raivis Dejus  <orvils@gmail.com>

        * configure.in: Added "lv" (Latvian) to ALL_LINGUAS.
        * po/lv.po: Added Latvian Translation.

2006-07-09  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.in: Added "ru" (Russian) to ALL_LINGUAS

2006-06-03  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs: Updated obsoleted overloaded function.

2006-06-03  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Use Gtk# 2
	* libblam/blam-gecko-utils.cpp: Build fix for newer firefox
	* src/egg-sharp.cs: Updated from Ubuntu patch.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete no_NO locale.
	* po/no.po: And the translation.

2006-01-24  Clytie Siddall <clytie@riverland.net.au>

	* configure.in	Added vi in ALL_LINGUAS line.
	
2006-01-21  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.
	
2006-01-02  Mikael Hallendal  <micke@imendio.com>

	* MAINTAINERS: Added

2005-12-18  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* themes/Makefile.am:
	* themes/planet/*:
	- Added theme based of planet gnome from Matt Philmon.

2005-12-18  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Require Mono 1.1.10
	* src/Item.cs: Splitted out from Channel.cs
	* src/Channel.cs: Split out Item class
	* src/*.cs: Use Mono.Unix.Catalog instead of Mono.Posix.Catalog

2005-11-27  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Added ThemeManager.
	* src/Defines.cs.in: Added a bunch of defines for Theme support.
	* src/HtmlTemplate.cs: 
	- Removed and replaced with Theme and ThemeManager.
	* src/ItemView.cs: Use Theme/ThemeManager instead of HtmlTemplate.
	* src/Makefile.am: Added Theme and ThemeManager.
	* src/Theme.cs: Added.
	* src/ThemeManager.cs: Added.

2005-11-19  Mikael Hallendal  <micke@imendio.com>

	* src/HtmlTemplate.cs: Fixed problem when gconf key was set to
	  point to non-existing path for a template.
	- Reported by Richard Hult.

2005-11-18  Mikael Hallendal  <micke@imendio.com>

	* src/egg-sharp.cs: 
	- Patch from Ed Catmur.
	- Fix a problem when the egg notification area icon was ported to C#.
	- Fixes bug #155484, icon leaves notification area forever.

2005-11-13  Mikael Hallendal  <micke@imendio.com>

	* src/HtmlTemplate.cs:
	* src/ItemView.cs:
	- Cleaned up the style a bit to better match the rest of the code.

2005-11-13  Mikael Hallendal  <micke@imendio.com>

	* src/Defines.cs.in:
	* themes/akregator/Makefile.am:
	* themes/blam/Makefile.am:
	* themes/pimped/Makefile.am:
	- Rename index.html to theme.html in all places :)

2005-11-13  Mikael Hallendal  <micke@imendio.com>

	* First commit on new theme support hacked on by Michael Ostermeier.
	* configure.in: Added themes
	* blam.schemas.in: Added theme key
	* icons/Makefile.am:
	* icons/blam-box-*: Moved to themes/blam.
	* src/Defines.cs.in:
	- Moved definition of app home dir here 
	- Added define for theme.
	* src/Application.cs: Use app home define.
	* src/HtmlTemplate.cs: New file to render a theme template.
	* src/HtmlUtils.cs: 
	- Moved EncodeUnicode and FixMarkup here from ItemView.
	* src/ItemView.cs: Load from theme template instead.
	* src/Makefile.am: Added HtmlTemplate.cs
	* themes/*:
	- Added the default theme and two themes from Michael Ostermeier.

2005-09-13  Mikael Hallendal  <micke@imendio.com>

	* src/egg-sharp.cs: 
	- amd64 fix, fixes #316129, patch from Brandon Hale.

2005-07-16  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-07-10  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs: Turn of marking as unreade on update, it's annoying.

2005-07-10  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs: 
	- Use GUID as link if entry doesn't have a link and GUID is a
	  permalink.
	- Patch from kraai (at) ftbfs.org
	- Fixes bug #309563.

2005-07-10  Mikael Hallendal  <micke@imendio.com>
	
	* src/FeedUpdater.cs: 
	- Use better default link for items without a link.
	- Patch from kraai (at) ftbfs.org
	- Fixes bug #309561.

2005-07-09  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade:
	* src/ChannelDialog.cs:
	* src/Channel.cs:
	- Added keywords to channels, isn't used for anything yet but can be
	  set in the properties dialog of the channel.
	* src/ChannelCollection.cs:
	- Don't mark as read if item has just been set to be unread.

2005-07-08  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs:
	- Try to bring back setting unread when title or text changes.
	- We have better strip functions now so the number of "false updates" 
	  might be smaller.
	- Fixes bug #309610.
	
2005-07-08  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelCollection.cs:
	* src/Channel.cs:
	* src/FeedUpdater.cs:
	* src/Application.cs:
	- Make the automatic refresher smarter and check whether it was more
	  than the refresh rate since last refresh when starting so that we get
	  the functionality back when starting Blam for the first time in a
	  while it will automatically refresh.
	- Also solves a bunch of refresh issues.

2005-06-21  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2005-06-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.in:
	* src/Application.cs:
	* src/DBusFeedReader.cs:
	* src/Makefile.am:
	- Repairs the previous attempt to add dbus support.

2005-06-20  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* src/Application.cs:
	* src/Channel.cs:
	* src/Makefile.am:
	* src/DBusFeedReader.cs: Added
	- Added support for subscribing to feeds over D-BUS.
	- Patch from Raphael Slinckx.
	- Fixes bug #171911.
	- This works with the epiphany extension for subscribing to RSS feeds
	  from inside the browser.

2005-06-20  Mikael Hallendal  <micke@imendio.com>

	* Release 1.8.2

	* NEWS:
	* configure.in:
	* lib/Makefile.am:
	- Updated for 1.8.2
	- Missed to dist the .dlls.

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* NEWS:
	* configure.in:
	- Updated for 1.8.1

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs:
	* src/ItemList.cs:
	- Renamed internal variables.
	* src/Makefile.am:
	* src/Spinner.cs:
	- Removed unused code.

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* libblam/Makefile.am:
	* libblam/blam-channel-menu.[ch]: Removed.
	* libblam/blam-spinner.[ch]: Removed.
	- Removed C glue code, spinner wasn't used and the channel menu has
	  been moved to managed code.
	* src/Application.cs:
	* src/ChannelDialog.cs:
	* src/Dialogs.cs:
	* src/ItemView.cs:
	* src/Opml.cs:
	* src/PreferencesDialog.cs:
	* src/Utils.cs:
	* src/egg-sharp.cs:
	- Changed private to public on glade callbacks to get rid of a bunch
	  of warnings.
	* src/ChannelList.cs:
	- Implement the channel menu in managed code instead.

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-channel-menu.c:
	- Changed the order of the right-click menu and added a separator.
	- Fixes bug #303404.

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	* blam.exe.config:
	- Added.
	* lib/Makefile.am:
	* lib/atom.dll:
	* src/Makefile.am:
	- Renamed to atom.dll to Atom.NET.Dll

2005-06-19  Mikael Hallendal  <micke@imendio.com>

	* lib/Makefile.am:
	* lib/RSS.NET.dll:
	* lib/rss.dll:
	- Replaced rss.dll with RSS.NET.dll
	* src/ChannelCollection.cs:
	- Write to a temp file and then move it.
	- Fixes bug #303918.
	* src/Makefile.am:
	- Fixed a couple of warnings.

2005-06-18  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/ChannelDialog.cs:
	* src/Dialogs.cs:
	* src/HigUtils.cs:
	* src/ItemView.cs:
	* src/Opml.cs:
	* src/PreferencesDialog.cs:
	* src/Printing.cs:
	* src/TrayIcon.cs:
	* src/egg-sharp.cs:
	- Cleared out a bunch of warnings about not being assigned or not
	  being used.

2005-06-18  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	* configure.in:
	* lib/.cvsignore:
	* lib/Makefile.am:
	* lib/atom.dll:
	* lib/rss.dll:
	- Added precompiled versions of these.
	* README: 
	- Added comment on where to get RSS.NET and Atom.net.
	* src/Makefile.am:
	* src/atom/*:
	* src/rss/*: 
	- Removed the source from the blam tree.
	- Use prebuild dll-files from the official trees instead.

2005-06-04  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

        * configure.in: Added "zh_TW" to ALL_LINGUAS.

2005-05-15  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs:
	* src/FeedUpdater.cs:
	* src/ItemView.cs:
	* src/Makefile.am:
	* src/HtmlUtils.cs: Added
	- Fixes #302579 an #170644
	- Patch from Heath Harrelson to escape and strip titles from HTML.

2005-05-09  Mikael Hallendal  <micke@imendio.com>

	* Release 1.8.0

	* NEWS: Updated for 1.8.0

2005-05-09  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Bumped to 1.8.0
	* src/TrayIcon.cs: Listen to button pressed on the event box.

2005-05-09  Mikael Hallendal  <micke@imendio.com>

	* blam.desktop.in.in: 
	- Fix bug #302982.

2005-05-09  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	- Keep a reference on the Bacon message handler so that it doesn't
	  get garbage collected.
	- Fixes bug #302142.

2005-05-06  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-gecko-utils.cpp:
	- Fixed leak in mozilla wrapping code.

2005-05-06  Mikael Hallendal  <micke@imendio.com>

	* src/FeedUpdater.cs: Use IfModifiedSince property insted of manually
	  setting the property on the request. 
	- Fixes problem on Mono 1.1.7, bug #303194
	- Patch from Peter Johanson.

2005-04-24  Mikael Hallendal  <micke@imendio.com>

	* CONTRIBUTORS: Added contributors file.

2005-04-24  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	- Bumped mono requirement to 1.1.4
	* src/*: Added Support for Atom feeds.
	* src/atom/*: Added Atom.NET
	- Patch from Heath Harrelson
	* src/egg-sharp.cs: Fixed a bunch of warnings about unused variables

2005-04-20  Mikael Hallendal  <micke@imendio.com>

	* autogen.sh: Use automake 1.9

2005-04-07  Heath Harrelson <heath@pointedstick.net>
	* src/FeedUpdater.cs:
	- Made setting If-Modified-Since and If-None-Match headers conditional
	  upon channel.LastModified and channel.ETag not being blank.
	- Fixes bug 166833.

2005-04-05  Markus Jonsson  <marjo691@student.liu.se>

	* libblam/Makefile.am:
	* libblam/eggtrayicon.c:
	* libblam/eggtrayicon.h:
	- Removed eggtrayicon.[ch], use C# implementation instead.
	* src/Makefile.am:
	* src/TrayIcon.cs:
	* src/egg-sharp.cs:
	- Added egg-sharp with a C# implementation of the eggtray icon.

2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-02-27  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS. 

2005-02-04  Mikael Hallendal  <micke@imendio.com>

	* blam.schemas.in: Added main_window_state key
	* src/Application.cs: 
	- Patch from Peter Rother that doesn't save window size and position if
	  maximized.
	- I changed it so that it restores the values even if maximized.
	- Fixes bug #165917

2005-01-09  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Don't refresh when run again.

2005-01-08  Mikael Hallendal  <micke@imendio.com>

	* Release 1.6.1
	
	* NEWS:
	* configure.in:
	- Updated for 1.6.1

2004-12-21  Žygimantas Beručka  <uid0@akl.lt>

	* configure.in: Added "lt" to ALL_LINGUAS.

2004-11-24  Christoffer Olsen  <co@deworks.net>

	- Added support for bug buddy version autocompletion.

	* blam.desktop.in: Moved to blam.desktop.in.in
	* blam.desktop.in.in: Added X-GNOME-Bugzilla-Version
	header
	* configure.in: Added blam.desktop.in to AC_OUTPUT
	* po/POTFILES.in: Now lists blam.desktop.in.in instead

2004-11-02  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Added 'pl' translation.

2004-10-28  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
        - Hide main window on Esc.

2004-10-26  Iain McCoy <iain@mccoy.id.au>

       * src/Opml.cs:
       - changed OpmlReader to use the title attribute of an outline when the
         text attribute is not found. This makes bloglines' opml files work.
       - Fixed bug #155665

2004-10-24  Satoru SATOH <ss@gnome.gr.jp>

	* configure.in: Added ja to ALL_LINGUAS

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* blam.in: Use exec when running mono

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-gecko-utils.cpp:
	- removed some unused h-files.

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* Release 1.6.0

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* icons/Makefile.am:
	* libblam/blam-gecko-utils.cpp:
	* libblam/blam-gecko-utils.h:
	* src/ItemView.cs:
	* src/Proxy.cs:
	* src/Utils.cs:
        - Added proxy settings to the gecko widget so that images can
          be fetched.

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* INSTALL: Updated
	* NEWS: Updated for 1.6.0
	* configure.in: Bumped version to 1.6.0

2004-10-23  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: 
        - Remove spinner and printing
	* src/Opml.cs:
        - Fix reading of liferia feeds (and possible bloglines)
        - Fixes bug #155665
	* src/blam.glade:
        - Removed printing menu item

2004-10-22  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelCollection.cs:
        - Don't crash if collection.xml is empty
        - Fixes bug #155663

2004-10-22  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* src/ItemView.cs:
	* README:
	- Require Gecko# 0.6

2004-10-21  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* libblam/Makefile.am:
	* libblam/blam-gecko-utils.cpp:
	* src/Application.cs:
	* src/ItemView.cs:
	* src/Utils.cs:
        - Copy/pasting gecko init stuff also cleaned the init code up 
          some.
        - Now the scrollbars are rendered correctly.

2004-10-21  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	* blam.in: 
        - Set mozilla home and stuff
	* configure.in:
        - Depend on gecko-sharp, not gtkhtml#
        * icons/Makefile.am:
        - Install the rounded corners
	* libblam/Makefile.am:
	* libblam/blam-gecko-utils.cpp:
	* libblam/blam-gecko-utils.h:
        - Added, set fonts for gecko widget
	* src/Application.cs:
        - Don't listen for Gtkhtml signals
	* src/Delegates.cs:
        - Added delegate for OnUrl
	* src/FeedUpdater.cs:
        - Fix bug that caused a crash
	* src/ItemView.cs:
        - Use Gecko instead of Gtkhtml.
        - Solves a bunch of issues
	* src/Makefile.am:
        - Don't embed the rounded courners in the assemly.
	* src/PreferencesDialog.cs:
        - Added font paths
	* src/Utils.cs:
        - Added Gecko utils wrappers
        * src/Cache.cs: 
        - Removed, Gecko handles it's own cache

2004-10-19  Todd Berman  <tberman@off.net>

	* src/ChannelList.cs:
	- Keep a reference to the delegate, so mono doesn't gc it.

2004-10-14  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs:
	- Scroll to first unread, if no unread, scroll to top or bottom 
	  depending on sort order.
	- Fixes bug #151164

2004-10-14  Mikael Hallendal  <micke@imendio.com>

	* blam.schemas.in: 
	- Added main_window_position_{x,y}
	* src/Application.cs:
	- Store and restore main window position.
	- Patch from Johan Hammar.

2004-10-14  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: 
	- Update number of unread items when channel is removed
	- Patch from Johan Hammar.

2004-09-29  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-09-23  Peter Johanson  <latexer@gentoo.org>

	* src/Application.cs: Cast items to Gtk.Container in order
	  to see the Container.Child get accessor.
	* src/ChannelList.cs:
	* src/ItemList.cs:
	- Keep class local references to delegates to prevent them from
    	  being GCed.

2004-09-23  Ilkka Tuohela  <hile@iki.fi>

	* configure.in: Added fi to ALL_LINGUAS

2004-09-21  Mikael Hallendal  <micke@imendio.com>

	* INSTALL: Updated to actually contain information.

2004-09-03  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-09-19  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: 
	- Don't set BLAM! as title when selecting an item. 
	- Reported by Johan Svedberg 

2004-09-17  Mikael Hallendal  <micke@imendio.com>

	* Release 1.4.1

2004-09-18  Mikael Hallendal  <micke@imendio.com>

	* NEWS: Updated for 1.4.1
	* configure.in: Version bumped to 1.4.1

2004-09-15  Mikael Hallendal  <micke@imendio.com>

	* blam.desktop.in: Updated name
	* src/blam.glade: Changed window title.

2004-09-09  Mikael Hallendal  <micke@imendio.com>

	* blam.schemas.in: Some string changes suggested by Richard
	* src/Application.cs: Set correct menu items sensitive based on 
	  selections in the lists.
	* src/ChannelList.cs: Renamed GetSelectedChannel to GetSelected.
	* src/blam.glade: 
	- Named a few widgets and changed the Channels menu to be singular.

2004-09-09  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Added Mark Entry as Read/Unread 
	* src/ItemList.cs: Added GetSelected
	* src/blam.glade: 
	- Renamed the view menu to "Entry" and added Mark as unread/read.

2004-09-09  Ankit Patel <ankit@redhat.com>

	* configure.in: Added 'gu' (Gujarati) to ALL_LINGUAS.

2004-09-09  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Fixed some strings, patch from Johan Svedberg.

2004-09-08  Mikael Hallendal  <micke@imendio.com>

	* NEWS: Updated for 1.4.0
	* configure.in: Bumped version to 1.4.0
	* src/Application.cs: 
	- Use GetPluralString for notification tooltip.
	  Thanks richard for reporting.

2004-09-08  Mikael Hallendal  <micke@imendio.com>

	* libblam/Makefile.am: Added eggtrayicon.[ch]
	* libblam/blam-channel-menu.c: Added Mark as read
	* libblam/blam-utils.[ch]:
	(blam_tree_model_set_sort_func): Added
	* libblam/eggtrayicon.[ch]: Added from libegg.
	* icons/blam-tray-icon.png: Added
	* icons/Makefile.am: Dist the tray icon
	* src/Application.cs: 
	* src/Channel.cs:
	* src/ChannelCollection.cs:
	* src/ChannelList.cs:
	* src/FeedUpdater.cs:
	* src/ItemList.cs:
	- Added support for Mark channel as read
	- Added tray icon that shows when there are unread items.
	- Fixed sorting problems in ChannelList and ItemList
	* src/TrayIcon.cs: Wrapper for eggtrayicon.
	* src/Makefile.am: Added TrayIcon.cs
	* src/Utils.cs: Added SetSortFunc
	* src/blam.glade: Added UI for the above
	- Fixes #149033, #149646, #151208, #150599

2004-09-07  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: Fixed the schema install rules
	* blam.schemas.in: Added keys
	* configure.in: GConf fix
	* src/Conf.cs: 
	* src/Database.cs:
	* src/PreferencesDialog.cs:
	* src/blam.glade:
	* src/Application.cs:
	- Added 'n' as short cut for Next Unread
	- Added support for auto refreshing the entries. Still need to add a 
	  notication area icon when something has updated.
	- Removed the Add Channel button from the window (still available from 
	  the menu though).
	* src/Proxy.cs:
	- Made sure that we don't call GConf from other threads.

2004-08-24  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-08-20  Mikael Hallendal  <micke@imendio.com>

	* Release 1.2.4
	
	* NEWS: Updated for 1.2.4
	* configure.in: Bumped version to 1.2.4

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-12  Mikael Hallendal  <micke@imendio.com>

	* src/Conf.cs:
	* src/ItemList.cs:
	* src/PreferencesDialog.cs:
	- Ok, never commit while in a hury. This should fix the GConf keys :)

2004-08-12  Mikael Hallendal  <micke@imendio.com>

	* blam.in: 
	- Use /bin/sh instead of /bin/bash since FreeBSD doesn't have 
	  Bash as default shell.
	- Reported by Christopher Nehren <apeiron@comcast.net>

2004-08-12  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Fix the conf keys

2004-08-11  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs: Don't mark updated entries as unread.

2004-08-10  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Fixed translator credits string

2004-08-09  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs: Trim description, hopefully leads to more accurate 
	  checking if an item is updated.
	* src/blam.glade: Set automatic on horizontal scrollbars.

2004-08-08  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs: 
	- Only show author if author is set
	- Make the author string translatable

2004-08-07  Gary Ekker  <gekker@novell.com>

	* src/ItemView.cs: Display author property in ItemView HtmlFooter
	* src/Channel.cs: Added Item.Author

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* Release 1.2.3
	
	* NEWS: Updated for 1.2.3
	* configure.in: Bumped version to 1.2.3

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-utils.[ch]:
	(blam_hig_dialog_new): Added from Gossip
	* src/Application.cs: Use new ConfirmationDialog for overwrite dialog.
	* src/Makefile.am: Added HigUtils.cs
	* src/HigUtils.cs: 
	- Added wrapper around blam_hig_dialog_new and ConfirmationDialog.
	* src/Opml.cs: Use HigDialog for error dialog
	* src/blam.glade: Hig work

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* src/Opml.cs: Added error checking when doing async importing.

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* src/Opml.cs: Added error checking when trying to import a file.

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* src/Opml.cs:
	* src/blam.glade:
	- Only make import button sensitive when we have some text in the URL
	  entry.

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Added check to see if file exists and query user 
	  whether to overwrite or not.
	* src/blam.glade: HIGified import dialog some.

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* collection.xml: Updated
	* src/Application.cs: 
	* src/Opml.cs:
	* src/blam.glade:
	- Added support for exporting OPML. Need to make sure we don't 
	  overwrite files.

2004-08-07  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/Opml.cs:
	* src/blam.glade:
	- Updated the Opml import feature a bit with somewhat clearer 
	  progress dialog.

2004-08-06  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/Channel.cs:
	* src/ChannelCollection.cs:
	* src/ChannelDialog.cs:
	* src/Delegates.cs:
	* src/ItemView.cs:
	- Added Opml support
	- Extracted the mainloop emitter to be more generic
	- Removed Image attribute from Channel
	* src/MainloopEmitter.cs: Added
	* src/Makefile.am: Added Opml.cs and MainloopEmitter.cs
	* src/Opml.cs: Added
	* src/blam.glade: Added Opml dialogs

2004-08-06  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	- Make sure the blam script is regenerated when changing configuration.
	* src/Makefile.am:
	- Make sure Defines.cs is regenerated when changing configuration.

2004-08-06  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* configure.in: Added Danish translation.
	* autogen.sh: Use automake instead of automake-1.7
	  and aclocal instead of aclocal-1.7
	* src/blam.glade: Added translator credit label

2004-08-05  Richard Hult  <richard@imendio.com>

	* src/ItemView.cs: Align the title and date to the top and make
	the title column wider.

2004-08-05  Richard Hult  <richard@imendio.com>

	* icons/Makefile.am:
	* src/ItemView.cs:
	* src/Makefile.am: Apply patch from Emmanuel Pacaud to fix html
	rendering issue, bug #149259.

2004-08-05  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	- Fixed install problem reported by Johan Svedberg, bug #149284
	* src/ItemList.cs:
	- Fixed problem where it didn't sort correctly on startup, bug #149261

2004-08-05  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: 
	- Added Ctrl+] for next unread. This works together with '.'

2004-08-04  Mikael Hallendal  <micke@imendio.com>

	* Release 1.2.1

	* NEWS: Updated for 1.2.1
	* src/ItemView.cs: Fixed a broken HTML tag.
	* configure.in: Bumped to 1.2.1
	* src/Proxy.cs: Style fixes

2004-08-04  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: try-catch around gconf get  
	* src/PreferencesDialog.cs: try-catch around gconf get 

2004-08-04  Mikael Hallendal  <micke@imendio.com>

	* Release 1.2.0
	
	* NEWS: Updated for 1.2.0
	* configure.in: Bumped version to 1.2.0

2004-08-04  Richard Hult  <richard@imendio.com>

	* src/ItemView.cs: Add some padding around the body.

2004-08-04  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Fixed the crashing Remove Dialog.

2004-08-04  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs: Use GetEntryAssembly instead of GetCallingAssembly.

2004-08-04  Richard Hult  <richard@imendio.com>

	* icons/Makefile.am:
	* icons/blam-box*.png: Add box images.

	* src/ItemView.cs: 
	- Special case the box images and fetch them from the assembly.
	- Close the html stream after writing. 
	- Change the html output to use rounded boxes.
	- Set the charset to utf-8 in the html view.

	* src/Makefile.am: Add box images to the resource list.

2004-08-03  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/Channel.cs:
	* src/ChannelCollection.cs:
	* src/FeedUpdater.cs:
	- Write out the collections.xml file when it hasn't been updated the 
	  last five minutes.
	- Fixes bug #149071

2004-08-03  Mikael Hallendal  <micke@imendio.com>

	* libblam/Makefile.am: Added bacon-message-connection.[ch]
	* libblam/bacon-message-connection.[ch]: Added
	* src/Application.cs:
	- Make BLAM! single app. 
	- When started again, only open the window and do a refresh all.
	* src/Makefile.am: Added MessageConnection.cs
	* src/MessageConnection.cs: Shamelessly stolen from Muine.
	- Fixes bug #149152

2004-08-03  Mikael Hallendal  <micke@imendio.com>

	* blam.schemas.in: Added key reverse_entries
	* src/Application.cs:
	- Added support for preference dialog
	* src/ItemList.cs:
	- Read the key reverse entries to sort correctly
	* src/Makefile.am:
	- Added PreferenceDialog.cs
	* src/blam.glade:
	- Added preference dialog
	* src/PreferenceDialaog.cs: Added	

2004-08-02  Mikael Hallendal  <micke@imendio.com>

	* Release 1.0.54
	
	* configure.in: Bumped version to 1.0.54
	* src/Makefile.am:
	- Don't dist src/Defines.cs

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* Release 1.0.53 - October BLAM!
	
	* NEWS: Updated for 1.0.53
	* configure.in: Changed the version to 1.0.53

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-channel-menu.c:
	- Update -> Refresh
	* src/Dialogs.cs: 
	- Make sure that the remove dialog is translatable.
	* src/blam.glade:
	- Gladified the remove dialog.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-channel-menu.c:
	* src/blam.glade:

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-channel-menu.c:
	(channel_menu_translate_func),
	(blam_channel_menu_new): 
	- Make the right-click menu translatable
	* src/ItemView.cs:
	- Make "Show in browser" link translatable

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Bumped version to 1.4
	* src/FeedUpdater.cs: Don't set the icon as of now

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/FeedUpdater.cs:
	- Send the response stream directly to the RssReader.
	- Fixes bug #149005

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: 
	- Fixed the ellipsizing a bit, going to rock when we can start using 
	  GTK+ HEAD.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs: 
	- Move selection on right-click 
	- Don't show right-click menu when not clicking over a channel.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* collection.xml: Removed unused Id-attribute
	* src/Application.cs: Fixed that status messages
	* src/ChannelCollection.cs: Removed the AbortRefreshing call
	* src/FeedUpdater.cs: 
	- Set the ETag and Last-Modified values after updating the entries.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelCollection.cs: Cleaned up code a bit
	* src/FeedUpdater.cs: Removed a bunch of annoying print outs.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* README:
	- Added information about bugzilla
	- Updated the required versions of Gtk# and Mono.
	* blam.desktop.in: Added bugzilla information
	* configure.in: Bumped version and required Gtk# and Mono.
	* src/Dialogs.cs: Include version number in about dialog.
	* src/blam.glade: Added version number label to about dialog.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* collection.xml: Added Planet Jabber
	* src/Application.cs: Use the new add channel dialog
	* src/ChannelDialog.cs: Use this only for editting channel
	* src/Dialogs.cs: Added AddChannelDialog
	* src/FeedUpdater.cs: Set name and image of a channel from the feed
	* src/blam.glade: Added AddChannelDialog

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs: 
	- Signal that we want to mark an item as unread in all feeds
	  if the entry is part of several planets.
	* src/ChannelCollection.cs:
	- Added functionality to make sure an entry is marked as read in 
	  all feeds where it exists.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/Channel.cs:
	- Don't bork on empty links.
	* src/ItemView.cs:
	- Don't show the "Show in browser" link if the link attribute is 
	  not set.
	* src/rss/RssReader.cs:
	- Don't throw exceptions on empty link nodes.

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: 
	- Install collection.xml in datadir/blam.
	* src/Application.cs: 
	- Update the channels label when a channel has been refreshed
	* src/ChannelCollection.cs:
	- Read the default collection.xml from datadir/blam instead of the 
	  assembly.
	* src/Defines.cs.in:
	- Added APP_DATADIR.
	* src/Makefile.am:
	- Don't bundle collection.xml in the assembly..

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	- Added a static TheApp variable.
	- Use version set by configure
	* src/Channel.cs:
	- Signal when unread is changed on an item.
	* src/Defines.cs.in: 
	- Added VERSION and DATADIR.
	* src/ItemList.cs: 
	- Use SetUnread instead of attribute Unread on Item
	* src/Makefile.am:
	- Set the VERSION variale in Defines.cs

2004-08-01  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: Don't sort on date, sort on order in feed.
	* src/ItemView.cs: Make the image fetching work again.

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Initialize gettext
	* src/Defines.cs.in: Added
	* src/Makefile.am: Generate Defines.cs
	* src/blam.glade: Updated

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: Intltool funky stuff
	* autogen.sh: Intltool and gettext support
	* blam.desktop: Removed
	* blam.desktop.in: Added
	* blam.schemas: Removed
	* blam.schemas.in: Added
	* configure.in: Added support for gettext and intltool
	- Start of work to get translations working.

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: Don't install collection.xml
	* TODO: Updated
	* collection.xml: Added some default channels
	* src/Application.cs: Removed unused function
	* src/ChannelCollection.cs:
	- Make sure emitters aren't freed before using.
	* src/ItemView.cs: Don't try to load images when not set
	* src/Makefile.am: Include collection.xml in assembly
	* src/rss/RssReader.cs: Revert my date hack.

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* TODO: Updated
	* src/Application.cs:
	- Refresh all channels when application is started.
	- Split the About and RemoveChannel dialogs to Dialogs.cs
	* src/ChannelCollection.cs: Refresh a channel when it's added.
	* src/Dialogs.cs: Added
	* src/FeedUpdater.cs: Signal to a channel that it's being refreshed.
	* src/Makefile.am: Added Dialogs.cs
	* src/rss/RssReader.cs: Get Planet GNOME dates to work again...

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Save the file when quitting
	* src/Channel.cs: Make sure we don't get circular dependency when 
	  writing the file.
	* src/ChannelCollection.cs: Implementing saving the XML file.

2004-07-31  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	- Connect to events in ChannelCollection.
	* src/ChannelCollection.cs:
	- Implemented the refreshing of items.
	* src/Delegates.cs: Added
	* src/FeedUpdater.cs:
	- Made the Update function static to avoid having to create an object
	  for each.
	* src/Makefile.am:
	- Remove RssUpdater.cs and add Delegates.cs
	* src/RssUpdater.cs: Removed

2004-07-30  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am:
	* src/Application.cs:
	* src/ChannelCollection.cs:
	* src/ChannelDialog.cs:
	* src/blam.glade:
	- More work on getting Blam to work without database

2004-07-03  Mikael Hallendal  <micke@imendio.com>

	* TODO: Updated
	* collection.xml:
	- Going to contain a default setup of feeds.
	* src/*.cs:
	- Updated to serialize to an XML file instead of using a database
	  as backend.

2004-07-16  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Removed the unfinished Opml-dialog to spare the
	  translators from translating my typos :) Thanks Christian for
	  pointing this out.

2004-07-07  Mikael Hallendal  <micke@imendio.com>

	* src/FeedUpdater.cs: Check if Proxy exists before trying to set it.

2004-06-15  Mario Alberto Chavez C. <chavezm@panasonic.com>

	* src/FeedUpdater.cs:
	* src/ItemView.cs:
	* src/Makefile.am:
	* src/Proxy.cs:
	- Added proxy support

2004-06-02  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-utils.[ch]:
	(blam_ellipsize_and_delimit_string): Copy the string and manipulate
	  the copy rather than the in argument.
	* src/ChannelList.cs: Don't have to do the gtype stuff any more
	* src/ItemList.cs: Same
	* src/Utils.cs: 
	- Free the returned string due to the change in blam-utils.c
	- Patch from Peter Johanson <latexer@gentoo.org>

2004-06-02  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Updated requirements to Beta 2
	* src/ChannelList.cs: Fixed a few API changes
	* src/ItemList.cs: Dito
	* src/Makefile.am: Fixed includes now with gac.
	- For some reason it crashes when you select a channel. Haven't had 
	  time to investigate

2004-05-30  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: Fixed an issue with the ellipsing code. 
	- Patch from Robert McMeekin

2004-05-19  Mikael Hallendal  <micke@imendio.com>

	* src/rss/RssReader.cs: More dates fixes...

2004-05-13  Mikael Hallendal  <micke@imendio.com>

	* src/rss/RssReader.cs: 
	- More date fixes, why does there have to be 1000 "standards" for 
	  how to write a date in RSS?

2004-05-12  Mikael Hallendal  <micke@imendio.com>

	* src/rss/RssFeed.cs:
	* src/rss/RssModuleItem.cs:
	* src/rss/RssReader.cs:
	- Fixed the date format for quite a few blogs...

2004-04-29  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs: Updated to new API in gtk#

2004-04-27  Mikael Hallendal  <micke@imendio.com>

	* src/rss/RssReader.cs: Parse dd MMM yyyy HH':'mm':'ss date strings.

2004-04-25  Mikael Hallendal  <micke@imendio.com>

        *** NOTICE, You will need to remove ~/.gnome2/blam/blam.db ***

	* blam.in: Don't LD_ASSUME_KERNEL 
	
	* src/*: 
	- Restructured the database some to make the application start
	  faster. This means the people already using blam will have to start
	  a new database file (see notice above).
	- Since blam is mainly an application for myself that I've made
	  available for any others wanting it I didn't want to put down all
	  the time into automatically updating database files. In the future
	  I might change to an XML file instead which makes changes easier
	  (since Sqlite doesn't support ALTER TABLE).

2004-04-23  Todd Berman  <tberman@sevenl.net>

	* src/Spinner.cs: Change to ctor to track gtk-sharp cvs.

2004-03-26  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs:
	* src/Database.cs:
	* src/ItemList.cs:
	- Get channels and items sorted from the database, speeds up putting 
	  them all in the tree.

2004-03-19  Mikael Hallendal  <micke@imendio.com>

	* src/rss/RssReader.cs: Support lewing's blog ;)

2004-03-19  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-utils.c:
	* libblam/blam-utils.h:
	* src/Application.cs:
	* src/ChannelDialog.cs:
	* src/ChannelList.cs:
	* src/ItemList.cs:
	* src/ItemView.cs:
	* src/Utils.cs:
	- Removed old work-arounds that has since been fixed in Gtk#.

2004-03-14  Christophe Merlet  <redfox@redfoxcenter.org>

	* blam.desktop: Added French translation.

2004-03-13  Mikael Hallendal  <micke@imendio.com>

	* TODO: Updated

2004-03-05  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs:
	* src/ItemList.cs:
	- Updated to work (compile) with latest Gtk-sharp. Seems something is a
	  bit flaky though.
	
2004-02-25  Jordi Mallach  <jordi@sindominio.net>

	* blam.desktop: Added Catalan translation.

2004-02-21  Duarte Loreto <happyguy_pt@hotmail.com>

	* blam.desktop: Added Portuguese translation.

2004-02-14  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs: 
	- Add Channels in an idle.
	  
	* src/RssUpdater.cs: Don't always keep a thread running in the
	  background, start when needed.

2004-02-06  Mikael Hallendal  <micke@imendio.com>

	* blam.in: Run with LD_ASSUME_KERNEL=2.2.5
	
	* src/FeedUpdater.cs: 
	- Removed some debug output
	- Use 3 seconds for timeout for now, seems to be pretty random anyway.

2004-02-05  Mikael Hallendal  <micke@imendio.com>

	* src/FeedUpdater.cs: Added a timeout when trying to read feeds. Now 
	  Advogato no longer blocks the entire list :)

2004-01-30  Richard Hult  <richard@imendio.com>

	* configure.in: Adhere to the life style! (And fix a typo.)

2004-01-27  Mikael Hallendal  <micke@imendio.com>

	* src/Database.cs: Don't change datetime format depending on locale. 

2004-01-26  Mikael Hallendal  <micke@imendio.com>

	* TODO:
	- updated
	* blam.in: 
	- Don't always run in en_US
	- Don't run with debug
	* configure.in: bumped version.
	* src/FeedUpdater.cs: 
	- Fixed HTTP header information reported by Andrew Sidwell

2004-01-21  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: Fixed gconf install rules reported by Eugenia Loli-Queru.
	* blam.schemas: Changed default hight of item list to 100.

2004-01-17  Danilo Šegan  <dsegan@gmx.net>

	* blam.desktop: Added Serbian translation of Name and Comment.

2004-01-17  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-utils.c:
	(ellipsize_string),
	(blam_ellipsize_and_delimit_string):
	* libblam/blam-utils.h: 
	- Added function from Gossip to ellipsize strings.
	* src/ItemList.cs: 
	- Fixed wrapping?
	- Ellipsizes long titles
	* src/Utils.cs: Added ellipsizing function
	* src/blam.glade:
	- No horizontal scrollbars ever.

2004-01-16  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-utils.c: 
	(drag_data_received_cb): Should fix a weird drag'n'drop issue.
	* src/Application.cs: Added to show how many unread messages there is.
	* src/Database.cs(GetNrOfUnreadItems): Gets total number of unread.
	* src/FeedUpdater.cs: Don't print out exception if 304 (not updated).
	* src/blam.glade: Changed the channels label text.

2004-01-15  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs: Enable row hinting
	* src/Database.cs: Remove http data when removing channels

2004-01-15  Mikael Hallendal  <micke@imendio.com>

	* Release 0.9999 (Yet another '9')

	* Makefile.am: include desktop file in tarball
	* NEWS: updated for 0.9999
	* configure.in: Buuuumped to 0.9999

2004-01-15  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	- Output feedback while updating feeds
	* src/Database.cs:
	- Updated to version 3
	- Added ChannelHttpData table to store Last-Modified and ETag.
	* src/FeedUpdater.cs:
	- Set last modified values so that we don't fetch a lot of data 
	  for now reason
	- Fixelifixed some debug output on console.
	* src/RssUpdater.cs:
	- Emit update status events.

2004-01-14  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelDialog.cs: Actually set the edit icon

2004-01-14  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/Channel.cs:
	* src/Database.cs:
	- mono --profile is a nice help
	- cache some db values.

2004-01-14  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs:
	* src/ChannelDialog.cs:
	* src/Makefile.am:
	* src/Printing.cs:
	- Added window icons to all windows and dialogs.

2004-01-14  Mikael Hallendal  <micke@imendio.com>

	* Makefile.am: Install desktop file
	* blam.desktop: Added, not translated atm.
	* icons/*: Great new artwork from Daniel Taylor.
	* libblam/blam-channel-menu.c: Added Update Channel
	* src/Application.cs: 
	- Made the Remove button an Update All button in main window
	* src/BlogItem.cs: 
	- Added a channel ref to not have to get it from the db each time.
	* src/Channel.cs: Added Image attribute
	* src/ChannelDialog.cs: Added image entry
	* src/ChannelList.cs: Made double click bring up channel edit window
	* src/Database.cs: 
	- Added image to Channel table
	- Bumped the db version to 2
	- Added DB-version update code
	* src/FeedUpdater.cs: Readded debug outpus, pretty useful for now.
	* src/ItemView.cs: Added support for images
	* src/Makefile.am: Added two images to channel edit dialog
	* src/RssUpdater.cs: Don't auto-update. Only user action now.
	* src/blam.glade: Added support for the above.

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* libblam/blam-spinner.c:
	- Removed g_object_class-private stuff. Now it works on Gtk 2.2
	- Thanks to people in #mono that helped me make sure it works on 2.2
	* src/ChannelList.cs: removed old unused button handler
	* src/FeedUpdater.cs: removed debug printouts.
	* src/ItemView.cs: fixed output and removed debug printouts
	* src/blam.glade: stupid glade, stored strings in swedish

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Require libgnomeui 2.2 instead of Gtk 2.3
	
	* libblam/blam-spinner.c: 
	- Backported to gnome-icon-theme instead of gtk-icon-theme. No longer 
	  needs gtk 2.3

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs: Fixed formatting

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* src/Database.cs: Trim item and item.Link strings before adding to db.
	* libblam/blam-utils.c: (drag_data_received_cb):
	- Don't proxy event if data == NULL.
	* src/Application.cs: Removed debug printout 

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: Sort ascending

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* Release 0.999

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs(NextUnreadChannel): Fixed the wrapping code.

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Added Update Channels to Channel menu
	* src/ChannelDialog.cs: 
	- Accept dragged URLs and put them into the Url-entry.
	- Let outsiders set Name and Url
	* src/Application.cs: 
	- Enabled Drag'n'drop through C-hack
	* src/Utils.cs: Wrapper around C-hack for Drag'n'Drop
	* libblam/blam-utils.[ch]: Added drag'n'drop-hack

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Updated gtk-sharp deps.
	* src/Utils.cs: Added a little helper class to call the temporal 
	  C-functions in libblam.
	* src/ItemList.cs: Sort on PubDate.
	* src/ChannelList.cs: Sort on Title
	* libblam/blam-utils.[ch]: Added function to set default sort func.

2004-01-12  Mikael Hallendal  <micke@imendio.com>

	* blam.in: Always run in LANG=en_US since otherwise just stock items 
	  will be translated.
	* src/ItemList.cs: 
	- Make Page_Up, Page_Down and space go to ItemView.
	- Move cursor to selected item when moving to next unread.
	* src/ChannelList.cs: 
	- Implement the ButtonPressEvent with little C helper
	* libblam/blam-utils.[ch]:
	- Added two helper functions to connect to button-press-event and
	  key-press-event until they are working in Gtk#.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: 
	- Name the ChannelDialog label
	- s/feed/channel/ in ChannelDialog
	* src/ChannelDialog.cs: Set different text when used for editing a 
	  channel than when it's used for adding one.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* src/ItemList.cs: Implement a ButtonEventHandler.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* libblam/blam-channel-menu.c: Added stock icon to remove entry.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* configure.in: Require gtk 2.3
	
	* src/ChannelDialog.cs: 
	* src/blam.glade: Disable OK-button in Channel Dialog until we have
	  both entries filled in.

	* src/ItemList.cs: 
	- Don't try to add item if it's not in the current channel.

	* src/Application.cs: 
	- Listen to EditChannel and RemoveChannel from ChannelList (thrown when
	  right-click menu is used). 
	- Disable remove and edit menu items when no channel is selected.

	* src/ChanneList.cs: 
	- Added right-click menu item.
	- Done in a bit hacky way since support for this isn't yet in Gtk#.

	* libblam/Makefile.am: 
	- Removed DISABLE_DEPRECATED.
	- Added blam-channel-menu.[ch]
	
	* libblam/blam-channel-menu.[ch]:
	- Right click menu for ChanneList
	- Done in C since GtkItemFactory wasn't yet supported in Gtk#

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Added Remove Channel confirmation dialog
	
	* src/Application.cs: 
	- Confirm removal of channel before doing it.
	- Put header labels and spinner in size group since the spinner is
	  higher than the labels.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* src/Spinner.cs: DllImport libblam.so instead of just libblam. Solves
	  issue with mono trying to load the directory libblam if you run from 
	  top_srcdir.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* src/Cache.cs:
	- Disabled the database lookup. Seems to cause some dead lock.

2004-01-11  Mikael Hallendal  <micke@imendio.com>

	* configure.in:
	* autogen.sh: 
	* Makefile.am: Add libtool, libblam, etc.
	
	* libblam/*: Library with C-files, currently only the spinner.
	
	* src/Spinner.cs: 
	- Wrapping-class around blam-spinner (taken from ephy-spinner.[ch])

	* src/ItemView.cs: 
	- Added ItemLoaded-event
	- Don't show "Open in browser"-link if there is no link
	- Make sure failing async readers are removed from the pending list.
	
	* src/Application.cs: 
	- Added support to edit channels
	- Cleaned up a bit
	- Added Spinner
	
	* src/ItemList.cs: 
	- Support adding items when open channel gets new items.
	
	* src/ChannelDialog.cs: 
	- Renamed from AddChannelDialog, also used to edit channel

	* src/blam.glade: Made room for a spinner.
	
	* src/Database.cs(UpdateChannel): Implemented
	

2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/blam.glade: Make delete button quit
	
	* src/Application.cs: Show hovered URL in statusbar.

2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs(LinkClickedCb): 
	- Read images asynchronous
	
	* src/Cache.cs: Leave reading of the files to ItemView and instead 
	  give a Stream or accept a byte array to write to a cache file.

	* src/RssUpdater.cs: Set interval to 5 minutes for now

2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs(LinkClickedCb): 
	- Place try-exception around Gnome.Url:Show.

	* src/FeedUpdater.cs(Update): Use date for now if Title isn't set.
	
	* src/rss/RssReader.cs: 
	- Handle more date formats.
	- If guid is also permalink, use it for item.Link

2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs: Output date
	
	* src/FeedUpdater.cs: Don't use RssFeed, instead read from the web 
	  myself and give the readed data to RssReader. Solves problems with 
	  Pyblosx* feeds.

	* src/rss/RssReader.cs: 
	- Handle dc:date and dc:creator.
	- Will need to rewrite this code, the XML parsing code could definitely 
	  be made easier.

2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/rss/*: 
	- Included RSS.NET here, need to hack on it in order to get it 
	  to work with all feeds.
  
2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: Enable Print menuitem after we have loaded a page.
	
	* src/blam.glade: Named Print menuitem
	
2004-01-10  Mikael Hallendal  <micke@imendio.com>

	* src/Application.cs: 
	* src/Printing.cs: Printing support
	
	* src/Makefile.am: Added Printing.cs
	
	* src/blam.glade: Added Printing to File menu

2004-01-09  Mikael Hallendal  <micke@imendio.com>

	* src/ItemView.cs(EncodeUnicode): 
	- Added function to make sure non-ASCII7 chars are handled.

2004-01-09  Mikael Hallendal  <micke@imendio.com>
	
	* blam.schemas: s/belogd/blam/
	
	* src/blam.glade: Tweaked
	
	* src/Application.cs:  s/belogd/blam/
	
	* src/Database.cs: Removed ugly DB hack

2004-01-09  Mikael Hallendal  <micke@imendio.com>

	* Renamed to Blam!
	
	* images/: Added about image
	
	* src/Application.cs: Use about image
	
2004-01-09  Mikael Hallendal  <micke@imendio.com>

	* src/belogd.glade: Named the panes
	
	* src/Application.cs: Save and Restore window state at quit and start

2004-01-09  Mikael Hallendal  <micke@imendio.com>

	* NEWS: Added empty

	* autogen.sh: tweaked a bit

	* belogd.schemas: Added schema file

	* Makefile.am: Install schema

	* configure.in: Updated with GConf stuff

	* src/Application.cs: Read GConf settings for window size when
	  starting

2004-01-09  Mikael Hallendal  <micke@imendio.com>

	* src/ChannelList.cs(SelectionChanged): 
	- Return after emitting if nothing is selected. Fixes crash

	* src/belogd.glade: Added about box

	* src/Application.cs: Added about box

	* src/Cache.cs: Added, first cut of image cache

	* src/Database.cs: 
	- Added Cache table use by the image cache to lookup local cache
	  file name

	* src/Application.cs: Initialize Cache

	* src/Makefile.am: Added Cache.cs

	* src/ItemView.cs: Use the Cache to lookup files.
	
2004-01-08  Mikael Hallendal  <micke@imendio.com>

	* src/*.cs: Added Copyright

	* src/Application.cs: 
	- Use ~/.gnome2/belogd/belogd.db as database file
	- Load UI from assembly

	* src/AddChannelDialog.cs: Load UI from assembly

	* autogen.sh: Run configure with --enable-maintainer-mode

	* NEWS, TODO, README, INSTALL, ChangeLog: Added necessary files.
	
	
